Loading...
Searching...
No Matches
HttpServer::AbstractLogger Class Referenceabstract

this abstract class defines the interface for classes that provide logging methods More...

Inheritance diagram for HttpServer::AbstractLogger:
[legend]

## Public Member Functions

abstract | log (string fmt)
| called to log information to the registered log code
| logArgs (*softlist< auto > args)
| calls log() with the given args
abstract | logError (string fmt)
| called to log error information to the registered error log code
| logErrorArgs (*softlist< auto > args)
| calls logError() with the given args

## Detailed Description

this abstract class defines the interface for classes that provide logging methods

## Member Function Documentation

## log()

abstract HttpServer::AbstractLogger::log | ( | string | fmt | ) |

pure virtual

called to log information to the registered log code

Parameters

  fmt | the message to log, can be a format string, in which case additional arguments are processed with vsprintf()

## logArgs()

HttpServer::AbstractLogger::logArgs | ( | *softlist< auto > | args | ) |

calls log() with the given args

Parameters

  args | a single string or a list of arguments used to call the log() method

## logError()

abstract HttpServer::AbstractLogger::logError | ( | string | fmt | ) |

pure virtual

called to log error information to the registered error log code

Parameters

  fmt | the error message to log, can be a format string, in which case additional arguments are processed with vsprintf()

## logErrorArgs()

HttpServer::AbstractLogger::logErrorArgs | ( | *softlist< auto > | args | ) |

calls logError() with the given args

Parameters

  args | a single string or a list of arguments used to call the logError() method